#include <mysql.h>
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

MYSQL *mysql;

void die_unless(int rc)
{
  if (! rc)
  {
    printf("An error occurred, exiting...\n");
    if (mysql)
    {
      printf("Error: %d, %s\n", mysql_errno(mysql), mysql_error(mysql));
      mysql_close(mysql);
    }
    exit(0);
  }
}

int main(int argc, char *argv[])
{
  const int ITERATION_COUNT= 1000000;
  int i, rc;

  mysql= mysql_init(0);
  rc= 0 == mysql_real_connect(mysql, "192.168.1.102", "es_app",
                              "blabla", "es", 3307, 0, 0);
  die_unless(rc == 0);

  printf("%s: successfully connected, running the loop\n", argv[0]);
  for (i= 0; i < ITERATION_COUNT; ++i)
  {
    rc= mysql_query(mysql,
                    "select deliv_status_cd from mail_log where "
                    "email='mail@sqa.org.uk' and email_content_id=535822");
    die_unless(rc == 0);
    mysql_free_result(mysql_store_result(mysql));
  }
  mysql_close(mysql);
}
